Reflection mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 System.Enum System.Flags System.Runtime.InteropServices.ComVisible(true)

EventAttributes values may be combined using the bitwise OR operation to get the appropriate combination.

These enums are defined in the corhdr.h file and are a combination of bits and enumerators.

Specifies the attributes of an event.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.EventAttributes None To be added.

  Specifies that the event has no attributes.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.EventAttributes ReservedMask To be added.

  Specifies a reserved flag for common language runtime use only.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.EventAttributes ReservedMask To be added.

  Specifies that the common language runtime should check name encoding.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.EventAttributes SpecialName To be added.

  Specifies that the event is special in a way described by the name.

  0
0